version: "{build}-{branch}"

cache:
  - vendor/bundle

environment:
  TESTOPTS: --verbose

  matrix:
    # Ruby 1.8.7 isn't available on AppVeyor.

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 193
      SSL_CERT_FILE: C:\Ruby193\lib\ruby\1.9.1\rubygems\ssl_certs\ca-bundle.pem

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 200

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 200-x64

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 21

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 21-x64

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 22

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 22-x64

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 23

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 23-x64

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 24

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 24-x64

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 25

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 25-x64

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 26

    - RUBY_ENGINE: ruby
      RUBY_VERSION: 26-x64

    - RUBY_ENGINE: jruby
      JRUBY_VERSION: 1.7.27

    - RUBY_ENGINE: jruby
      JRUBY_VERSION: 9.1.17.0

    - RUBY_ENGINE: jruby
      JRUBY_VERSION: 9.2.9.0

install:
  - if not exist vendor mkdir vendor
  - if %RUBY_ENGINE%==jruby appveyor DownloadFile https://repo1.maven.org/maven2/org/jruby/jruby-dist/%JRUBY_VERSION%/jruby-dist-%JRUBY_VERSION%-bin.zip -FileName vendor\jruby-dist-%JRUBY_VERSION%-bin.zip
  - if %RUBY_ENGINE%==jruby 7z x vendor\jruby-dist-%JRUBY_VERSION%-bin.zip -ovendor -y
  - if %RUBY_ENGINE%==jruby set PATH=C:\projects\tzinfo\vendor\jruby-%JRUBY_VERSION%\bin;%PATH%
  - if %RUBY_ENGINE%==jruby if "%JRUBY_VERSION:~0,2%"=="1." gem install bundler --version "~> 1.17"
  - if %RUBY_ENGINE%==jruby if not "%JRUBY_VERSION:~0,2%"=="1." gem install bundler
  - if v%RUBY_VERSION%==v193 appveyor DownloadFile https://github.com/philr/rubyinstaller/releases/download/1.9.3-p551-openssl-tls-1.1-1.2/ruby-1.9.3-p551-i386-mingw32.7z -FileName vendor\ruby-1.9.3-p551-i386-mingw32.7z
  - if v%RUBY_VERSION%==v193 7z e vendor\ruby-1.9.3-p551-i386-mingw32.7z -ovendor ruby-1.9.3-p551-i386-mingw32\bin\libeay32.dll ruby-1.9.3-p551-i386-mingw32\bin\ssleay32.dll ruby-1.9.3-p551-i386-mingw32\lib\ruby\1.9.1\i386-mingw32\openssl.so ruby-1.9.3-p551-i386-mingw32\lib\ruby\1.9.1\rubygems\ssl_certs\ca-bundle.pem
  - if v%RUBY_VERSION%==v193 copy /Y vendor\*eay32.dll C:\Ruby193\bin
  - if v%RUBY_VERSION%==v193 copy /Y vendor\openssl.so C:\Ruby193\lib\ruby\1.9.1\i386-mingw32
  - if v%RUBY_VERSION%==v193 copy /Y vendor\ca-bundle.pem C:\Ruby193\lib\ruby\1.9.1\rubygems\ssl_certs
  - if %RUBY_ENGINE%==ruby set PATH=C:\Ruby%RUBY_VERSION%\bin;%PATH%
  - bundle config --local path vendor/bundle
  - bundle update

build: off

before_test:
  - "%RUBY_ENGINE% -v"
  - gem -v
  - bundle -v

test_script:
  - bundle exec rake test

after_test:
  - bundle clean
